+++
Categories = []
Tags = []
date = "2025-01-01T00:00:00-04:00"
title = "Hardware"

+++

I selfhost this blog, do a lot of coding, and generally do "computer stuff" on a number of different systems. Here's what I use, current as of 2025-01-01.

## Client Devices

### Primary Laptop: Lenovo Thinkpad T495s

```
       _,met$$$$$gg.          joshua@dragonstorm 
    ,g$$$$$$$$$$$$$$$P.       ------------------ 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: 20QJCTO1WW ThinkPad T495s 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 17 days, 12 hours, 37 mins 
 $$P      d$'     ,    $$P    Packages: 4925 (dpkg), 11 (flatpak) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Resolution: 1920x1080 
 Y$$.    `.`"Y$$$$P"'         DE: GNOME 43.9 
 `$$b      "-.__              WM: Mutter 
  `Y$$                        WM Theme: Adwaita 
   `Y$$.                      Theme: Adwaita-dark [GTK2/3] 
     `$$b.                    Icons: Adwaita [GTK2/3] 
       `Y$$b.                 Terminal: tmux 
          `"Y$b._             CPU: AMD Ryzen 5 PRO 3500U w/ Radeon Vega Mobile Gfx (8) @ 2.100GHz 
              `"""            GPU: AMD ATI Radeon Vega Series / Radeon Vega Mobile Series 
                              Memory: 11907MiB / 13860MiB 
                              NVMe: 1x XPG SX8200 Pro 1TB, ext4
                              SSD: N/A
                              HDD: N/A
```

### Smartphone: Google Pixel 8

```
         -o          o-            u0_a475@dragonflight
          +hydNNNNdyh+             --------------------
        +mMMMMMMMMMMMMm+           OS: LineageOS 21 (Android 14) aarch64
      `dMMm:NMMMMMMN:mMMd`         Host: Google Pixel 8
      hMMMMMMMMMMMMMMMMMMh         Kernel: 5.15.137-android14-11
  ..  yyyyyyyyyyyyyyyyyyyy  ..     Uptime: 22 hours, 53 minutes
.mMMm`MMMMMMMMMMMMMMMMMMMM`mMMm.   Packages: 74 (dpkg), 1 (pkg)
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   Shell: bash 5.2.26
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   CPU: (9) @ 1.704GHz
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   Memory: 4978MiB / 7599MiB
:MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM:   Storage: 128GB
-MMMM-MMMMMMMMMMMMMMMMMMMM-MMMM-
 +yy+ MMMMMMMMMMMMMMMMMMMM +yy+
      mMMMMMMMMMMMMMMMMMMm
      `/++MMMMh++hMMMM++/`
          MMMMo  oMMMM
          MMMMo  oMMMM
          oNMm-  -mMNs 
```

### Home Base (Headless server "Desktop-in-the-cloud"): Dell PowerEdge R630

```
       _,met$$$$$gg.          joshua@base
    ,g$$$$$$$$$$$$$$$P.       -----------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Model: Dell PowerEdge R630 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-27-amd64
`d$$'     ,$P"'   .    $$$    Uptime: 60 days, 8 hours, 56 mins
 $$P      d$'     ,    $$P    Packages: 2309 (dpkg), 13 (flatpak)
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15
 $$;      Y$b._   _,d$P'      Resolution: 1920x1080
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/1
 `$$b      "-.__              CPU: 2x Intel Xeon E5-2620 v4 (32) @ 3.000GHz 
  `Y$$                        GPU: 2x NVIDIA Tesla T4 
   `Y$$.                      Memory: 292577MiB / 515881MiB
     `$$b.                    NVMe: 2x XPG GAMIX S70 BLADE 2TB, ZFS mirror
       `Y$$b.                 SSD: N/A
          `"Y$b._             HDD: N/A
              `"""            
```

## Servers

My server infrastructure is quite sprawling, but here's the short info. For more detail, please see my perpetually-"upcoming" blog post or [my rack tour videos on YouTube](https://www.youtube.com/playlist?list=PLNfKWbHAcA3PcEpFfS1GqFcs7EkKiBOQr).

### Routers: FreeBSD on Debian on SZBOX G30B Mini-PCs (x2)

```
```                        `       joshua@dcrX
  ` `.....---.......--.```   -/    -----------
  +o   .--`         /y:`      +.   OS: FreeBSD 14.2-RELEASE amd64 
   yo`:.            :o      `+-    Uptime: 3 days, 15 hours, 11 mins 
    y/               -/`   -o/     Packages: 142 (pkg) 
   .-                  ::/sy+:.    Shell: bash 5.2.37 
   /                     `--  /    Terminal: /dev/pts/1 
  `:                          :`   CPU: QEMU Virtual version (4) @ 1.996GHz 
  `:                          :`   Memory: 3121MiB / 6102MiB 
   /                          /    NVMe: 1x QEMU 80GB, ZFS
   .-                        -.    SSD: N/A 
    --                      -.     HDD: N/A                
     `:`                  `:`
       .--             `--.
          .---.....----.
```

Which for compatibility reasons are VMs running on top of...

```
       _,met$$$$$gg.          joshua@dcrhvX
    ,g$$$$$$$$$$$$$$$P.       -------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: SZBOX G30B TVI7309X B0 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 9 days, 14 hours, 2 mins 
 $$P      d$'     ,    $$P    Packages: 830 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Terminal: /dev/pts/1 
 Y$$.    `.`"Y$$$$P"'         CPU: Intel Celeron N5105 (4) @ 2.900GHz 
 `$$b      "-.__              GPU: Intel JasperLake [UHD Graphics] 
  `Y$$                        Memory: 6522MiB / 7783MiB 
   `Y$$.                      NVMe: 1x Generic 128GB, ext4
     `$$b.                    SSD: N/A               
       `Y$$b.                 HDD: N/A                
          `"Y$b._
              `"""
```

### Primary Hypervisor Cluster: Dell PowerEdge R630 (x3)

```
       _,met$$$$$gg.          joshua@hvX.p
    ,g$$$$$$$$$$$$$$$P.       ------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R630 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64
`d$$'     ,$P"'   .    $$$    Uptime: 13 days, 19 hours, 13 mins 
 $$P      d$'     ,    $$P    Packages: 886 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/19 
 `$$b      "-.__              CPU: 2x Intel Xeon E5-2683 v4 (64) @ 3.000GHz 
  `Y$$                        GPU: 0b:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 113190MiB / 515876MiB
     `$$b.                    NVMe: N/A
       `Y$$b.                 SSD: 2x Intel DC S3700 200GB, RAID-1/ext4; 2x Intel DC S3700 800GB
          `"Y$b._             HDD: N/A
              `"""
```

### Testing Hypervisor Cluster: Dell PowerEdge R430 (x3)

```
       _,met$$$$$gg.          joshua@hvX.t
    ,g$$$$$$$$$$$$$$$P.       ------------ 
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R430 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64 
`d$$'     ,$P"'   .    $$$    Uptime: 25 mins 
 $$P      d$'     ,    $$P    Packages: 931 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.2.15 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/2 
 `$$b      "-.__              CPU: Intel Xeon E5-2603 v3 (6) @ 1.600GHz 
  `Y$$                        GPU: 0a:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 4070MiB / 31873MiB 
     `$$b.                    NVMe: N/A
       `Y$$b.                 SSD: 1x Intel DC S3610 200GB, ext4; 1x Samsung PM883 480GB               
          `"Y$b._             HDD: N/A
              `"""
```

### Ceph Storage Cluster: Dell PowerEdge R720xd (x3)

```
       _,met$$$$$gg.          joshua@cephX.c
    ,g$$$$$$$$$$$$$$$P.       --------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: Dell PowerEdge R720xd 
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64
`d$$'     ,$P"'   .    $$$    Uptime: 116 days, 19 hours, 33 mins 
 $$P      d$'     ,    $$P    Packages: 636 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/0 
 `$$b      "-.__              CPU: Intel Xeon E5-2697 v2 (24) @ 3.500GHz 
  `Y$$                        GPU: 0b:00.0 Matrox Electronics Systems Ltd. G200eR2 
   `Y$$.                      Memory: 39374MiB / 64233MiB 
     `$$b.                    NVMe: N/A
       `Y$$b.                 SSD: 2x Intel DC S3700 200GB, RAID-1/ext4
          `"Y$b._             HDD: 3x Western Digital Red 14TB; 6x Western Digital Red 8TB
              `"""
```

### Backup Server: Whitebox 2U

```
       _,met$$$$$gg.          joshua@backup
    ,g$$$$$$$$$$$$$$$P.       -------------
  ,g$$P"     """Y$$.".        OS: Debian GNU/Linux 12 (bookworm) x86_64 
 ,$$P'              `$$$.     Host: Whitebox (Supermicro X10SRL-F)
',$$P       ,ggs.     `$$b:   Kernel: 6.1.0-28-amd64
`d$$'     ,$P"'   .    $$$    Uptime: 116 days, 19 hours, 40 mins 
 $$P      d$'     ,    $$P    Packages: 790 (dpkg) 
 $$:      $$.   -    ,d$$'    Shell: bash 5.1.4 
 $$;      Y$b._   _,d$P'      Resolution: 1024x768 
 Y$$.    `.`"Y$$$$P"'         Terminal: /dev/pts/0 
 `$$b      "-.__              CPU: Intel Xeon E5-2620 v3 (12) @ 3.200GHz 
  `Y$$                        GPU: 09:00.0 ASPEED Technology, Inc. ASPEED Graphics Family 
   `Y$$.                      Memory: 22450MiB / 31984MiB 
     `$$b.                    NVMe: N/A
       `Y$$b.                 SSD: 1x Intel DC S3700 800GB, ext4
          `"Y$b._             HDD: 4x Western Digital Red 8TB, ZFS RAID-Z; 1x Western Digital USB3.0 8TB, ZFS
              `"""
```
